PGAS

Inquiry

API to inquiry Gas Negara.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
PGAS0110010000Success
PGAS0110010001Inquiry - Invoice Has Been Paid
PGAS0110010014Inquiry - Incorrect Destination Number
PGAS0110010103Inquiry - Time Out
PGAS0110011037Payment - Payment Failed
PGAS0110011039Payment - Pending / transaction in process
PGAS0110011105Payment - MISC Error / Biller System Error
PGAS011001XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringGas negara customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"    : "inq-pasca",
  "username"    : "123123123",
  "code"        : "PGAS",
  "hp"          : "0110010000",
  "ref_id"      : "151270689512",
  "sign"        : "12fe359b0638d81d70ea1d278f400ab1"
}

Response 1 Bill

Loading...
{
  "data": {},
  "meta": []
}

Response Multiple Bill

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail